> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Batch Run Results

> Get per-file results for a batch run.



## OpenAPI

````yaml https://www.datalab.to/openapi.json get /api/v1/eval_batch_runs/{run_id}/results
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/eval_batch_runs/{run_id}/results:
    get:
      tags:
        - collections
      summary: Get Batch Run Results
      description: Get per-file results for a batch run.
      operationId: get_batch_run_results_api_v1_eval_batch_runs__run_id__results_get
      parameters:
        - name: run_id
          in: path
          required: true
          schema:
            type: integer
            title: Run Id
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchRunResultsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    BatchRunResultsResponse:
      properties:
        batch_run:
          $ref: '#/components/schemas/EvalBatchRunResponse'
        file_results:
          items:
            $ref: '#/components/schemas/BatchRunFileResult'
          type: array
          title: File Results
      type: object
      required:
        - batch_run
        - file_results
      title: BatchRunResultsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EvalBatchRunResponse:
      properties:
        id:
          type: integer
          title: Id
        collection_id:
          type: integer
          title: Collection Id
        eval_rubric_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Eval Rubric Id
        pipeline_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Pipeline Id
        pipeline_type:
          type: string
          title: Pipeline Type
        status:
          type: string
          title: Status
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        total_files:
          type: integer
          title: Total Files
        completed_files:
          type: integer
          title: Completed Files
        avg_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Avg Score
        created:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created
      type: object
      required:
        - id
        - collection_id
        - eval_rubric_id
        - pipeline_id
        - pipeline_type
        - status
        - started_at
        - completed_at
        - total_files
        - completed_files
        - avg_score
        - created
      title: EvalBatchRunResponse
    BatchRunFileResult:
      properties:
        request_id:
          type: integer
          title: Request Id
        filename:
          type: string
          title: Filename
        status:
          type: string
          title: Status
        eval_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Eval Score
        eval_results:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Eval Results
        created:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created
        lookup_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Lookup Key
      type: object
      required:
        - request_id
        - filename
        - status
      title: BatchRunFileResult
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````